Comment 51 for bug 429841

Carlo de Wolf (wolfc) wrote :

Alternatively apply the following patch to flashplugin-nonfree.prerm instead of just removing it:

--- flashplugin-nonfree.prerm.orig 2010-05-31 13:44:35.000000000 +0200
+++ flashplugin-nonfree.prerm.new 2010-05-31 13:45:12.000000000 +0200
@@ -35,7 +35,7 @@
   done
   for p in $VARIANTS; do
     [ `update-alternatives --list "$p-flashplugin" | wc -l` = 0 ] && \
- update-alternatives --remove-all "$p-flashplugin"
+ update-alternatives --remove-all "$p-flashplugin" || true
   done
   ;;
  upgrade|deconfigure)